org.apache.pdfbox.rendering

## Enum ImageType

- java.lang.Object
- - java.lang.Enum<ImageType>
  - - org.apache.pdfbox.rendering.ImageType

All Implemented Interfaces:
  Serializable, Comparable<ImageType>

    public enum ImageType
    extends Enum<ImageType>

Image type for rendering.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ARGB` Alpha, Red, Green, Blue
`BGR` Blue, Green, Red
`BINARY` Black or white.
`GRAY` Shades of gray
`RGB` Red, Green, Blue

### Method Summary

All Methods Static Methods Concrete Methods
`static ImageType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ImageType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BINARY

    public static final ImageType BINARY

Black or white.

#### GRAY

    public static final ImageType GRAY

Shades of gray

#### RGB

    public static final ImageType RGB

Red, Green, Blue

#### ARGB

    public static final ImageType ARGB

Alpha, Red, Green, Blue

#### BGR

    public static final ImageType BGR

Blue, Green, Red

### Method Detail

#### values

    public static ImageType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ImageType c : ImageType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ImageType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null